## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints
Class ASASQLConstraintsBlock

    java.lang.Object
      org.eclipse.ui.forms.MasterDetailsBlock
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.SQLConstraintsBlock
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.ASASQLConstraintsBlock

    public class ASASQLConstraintsBlock

extends SQLConstraintsBlock

Constraints block for ASA constraints

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.SQLConstraintsBlock
`SQLConstraintsBlock.ConstraintsSection`

Constructor Summary
`ASASQLConstraintsBlock(SchemaObjectEditorPage page, BaseTable table)`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.SQLConstraintsBlock
`getDetailsPart, getLabelProvider, getViewer, refresh`

Methods inherited from class org.eclipse.ui.forms.MasterDetailsBlock
`createContent, createContent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASASQLConstraintsBlock

    public ASASQLConstraintsBlock(SchemaObjectEditorPage page,
                                  BaseTable table)